package cast

import (
	"fmt"
	"fonchain-fiee/api/cast"
	"fonchain-fiee/cmd/config"
	"fonchain-fiee/pkg/model/login"
	"fonchain-fiee/pkg/service"
	"github.com/gin-gonic/gin"
)

func UserAccounts(ctx *gin.Context) {
	var req *cast.MediaAccountsReq = &cast.MediaAccountsReq{}
	var err error
	if config.AppConfig.System.AppMode != "dev" {
		userInfo := login.GetUserInfoFromC(ctx)
		req.ArtistUuid = fmt.Sprint(userInfo.ID)
	} else {
		req.ArtistUuid = "61"
	}

	if err = ctx.ShouldBind(&req); err != nil {
		service.Error(ctx, err)
		return
	}
	if err = req.Validate(); err != nil {
		service.Error(ctx, err)
		return
	}
	resp, err := service.CastProvider.MediaAccounts(ctx, req)
	if err != nil {
		service.Error(ctx, err)
		return
	}
	service.Success(ctx, resp)
	return
}

func MediaWorks(ctx *gin.Context) {
	var req *cast.MediaWorksReq
	var err error
	if err = ctx.ShouldBind(&req); err != nil {
		service.Error(ctx, err)
		return
	}
	if err = req.Validate(); err != nil {
		service.Error(ctx, err)
		return
	}
	resp, err := service.CastProvider.MediaWorks(ctx, req)
	if err != nil {
		service.Error(ctx, err)
		return
	}
	service.Success(ctx, resp)
	return
}
